Returns the previous description for the server

- « MongoDB\Driver\Monitoring\ServerChangedEvent::getPort

- MongoDB\Driver\Monitoring\ServerChangedEvent::getTopologyId »

- PHP Manual
- MongoDB\Driver\Monitoring\ServerChangedEvent
- Returns the previous description for the server

# MongoDB\Driver\Monitoring\ServerChangedEvent::getPreviousDescription

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\ServerChangedEvent::getPreviousDescription — Returns the previous description for the server

### Description

final public MongoDB\Driver\Monitoring\ServerChangedEvent::getPreviousDescription(): MongoDB\Driver\ServerDescription

### Parameters

This function has no parameters.

### Return Values

Returns the previous MongoDB\Driver\ServerDescription for the server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.